Bug 152480 - [Patch] fix build of devel/libffi with clang on amd64
Summary: [Patch] fix build of devel/libffi with clang on amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-22 14:40 UTC by Koop Mast
Modified: 2010-12-14 19:40 UTC (History)
0 users

See Also:


Attachments
libffi-clang.diff (1.06 KB, patch)
2010-11-22 14:40 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2010-11-22 14:40:12 UTC
	$CFLAGS are redundant for compiling .s files.
	GCC stays quiet, but Clang gives a warning of unused arguments.
	The configure check greps for warning, so the check fails.
	Remove $CFLAGS to clang doesn't emit the warnings.

	Patch by Dimitry Andric <dim@FreeBSD.org>
Comment 1 Koop Mast freebsd_committer 2010-12-04 21:15:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Grab
Comment 2 Koop Mast freebsd_committer 2010-12-13 22:47:02 UTC
Maintainer of devel/libffi.

Please note that PR ports/152480 has been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The Full text of the PR can be found at:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152480

-Koop
Comment 3 Koop Mast freebsd_committer 2010-12-13 23:01:01 UTC
State Changed
From-To: open->feedback

Ask maintainer for feedback.
Comment 4 Björn König 2010-12-14 10:56:20 UTC
I hereby approve the patch.

P.S. Sorry for the delay!
Comment 5 dfilter service freebsd_committer 2010-12-14 19:33:21 UTC
kwm         2010-12-14 19:33:15 UTC

  FreeBSD ports repository

  Modified files:
    devel/libffi/files   patch-configure 
  Log:
  $CFLAGS are redundant for compiling .s files.
  GCC stays quiet, but Clang gives a warning of unused arguments.
  The configure check greps for warning, so the check fails.
  Remove $CFLAGS to clang doesn't emit the warnings.
  
  PR:             ports/152480
  Submitted by:   me
  Patch by:       dim@
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.2       +11 -4     ports/devel/libffi/files/patch-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Koop Mast freebsd_committer 2010-12-14 19:33:42 UTC
State Changed
From-To: feedback->closed

Committed thanks!